osl::eval::ml::King8EffectDefenseSquareEnding Struct Reference

`#include <king8.h>`

Inheritance diagram for osl::eval::ml::King8EffectDefenseSquareEnding:

## Additional Inherited Members

Public Types inherited from osl::eval::ml::King8EffectBase
enum | { DIM = 32 }
enum | EffectState { NOT_EMPTY = -1 , NO_EFFECT = 0 , LESS_EFFECT , MORE_EFFECT , MORE_EFFECT_KING_ONLY }
typedef CArray< int, 32 > | table_t
Public Member Functions inherited from osl::eval::ml::King8EffectBase
template<class MakeEffectState>
const osl::CArray< int, 2 > | evalCommon (const NumEffectState &state, const table_t &table)
template<class MakeEffectState>
const osl::CArray< int, 2 > | evalWithUpdateCommon (const NumEffectState &new_state, Move last_move, const CArray< int, 2 > &last_value, const table_t &table)
template<class MakeEffectState>
std::pair< osl::CArray< int, 2 >, osl::CArray< int, 2 > > | evalWithUpdateCommon (const NumEffectState &new_state, Move last_move, const CArray< int, 2 > &last_value_o, const CArray< int, 2 > &last_value_e, const table_t &table_o, const table_t &table_e)
Static Public Member Functions inherited from osl::eval::ml::King8EffectDefenseSquare< false >
static void | setUp (const Weights &weights)
static const CArray< int, 2 > | eval (const NumEffectState &state)
static const CArray< int, 2 > | evalWithUpdate (const NumEffectState &new_state, Move last_move, const CArray< int, 2 > &last_value)
Static Public Member Functions inherited from osl::eval::ml::King8EffectBase
template<class MakeEffectState>
static const CArray< int, 2 > | evalCommon (const NumEffectState &state, const table_t &)
template<class MakeEffectState>
static const CArray< int, 2 > | evalWithUpdateCommon (const NumEffectState &new_state, Move last_move, const CArray< int, 2 > &last_value, const table_t &)
template<class MakeEffectState>
static std::pair< CArray< int, 2 >, CArray< int, 2 > > | evalWithUpdateCommon (const NumEffectState &new_state, Move last_move, const CArray< int, 2 > &last_value_opening, const CArray< int, 2 > &last_value_ending, const table_t &, const table_t &)
Static Protected Member Functions inherited from osl::eval::ml::King8EffectBase
static int | index (const Direction dir, EffectState state)

## Detailed Description

Definition at line 139 of file core/osl/eval/king8.h.

The documentation for this struct was generated from the following file:

- core/osl/eval/king8.h